Bug 72926 - Use receiving email address on reply (not identity-based)
Summary: Use receiving email address on reply (not identity-based)
Status: REOPENED
Alias: None
Product: kmail2
Classification: Applications
Component: composer (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 21 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 144171 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-01-19 02:19 UTC by Christian Loitsch
Modified: 2012-09-20 15:27 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Loitsch 2004-01-19 02:19:46 UTC
Version:            (using KDE KDE 3.2.0)
Installed from:    Gentoo Packages

I have a catch-all address for my domain and use email-addresses "on the fly".  For instance my email-address for kde-bugs is kde.bugs @ 25L.com.  (This way I can easily turn off an address if ever I get spammed on this address (in addition I know where the leak came from).

To avoid people knowing my default address I would like kmail to use the "To: address" as "From: address".

This wish-bug already existed but the solution then was to allow identity-selection based on the "To" address, which I can't do.  (I don't keep record of my addresses.  Only when an address poses problems it gets special treatment)
Comment 1 Ingo Klöcker 2004-01-19 18:39:07 UTC
Sorry, but this feature is much too special. Normal users will never need more than what the identity-based approach provides.

OTOH, what we probably could do is that we could store all From: addresses a user has used once as ad-hoc identities and then search those ad-hoc identities for a matching address in case of a reply.

Please note that I don't intented to implement this in the foreseeable future (therefore I don't confirm this wish). But if you provide a reasonable patch then we'll consider including it.
Comment 2 Thomas Yandell 2005-07-25 11:02:18 UTC
Another common scenario (e.g. gmail supports it) is users having an email address like:

name+ANYTHING@domain.foo

It is particularly annoying when you sign up for a newletter/mailing list and you have to reply to the message with the _correct_ from address to confirm you subscription (in the case of a newsletter, adding a new identity that you will never use again, and then if you can be bothered removing it afterwards). I would like to be able to set a wildcard or pattern in an identity, along with the default address:

name(?:\+.*)?\@domain\.foo

As the above example pattern (perl style regex) shows, just a wildcard would not be enough to deal with the example I give above (as the + is grouped with the text following it, and together they are optional). Given the above, finding the identity that an incoming message was sent to would be a case of choosing the first identity that matches. A simpler but less flexable approach might be to provide options for these two common cases (*@domain.foo and name+*@domain.foo).

The compose dialog could then allow editing of the from email address when a pattern based identity is selected, using the pattern for validation. When replying to an email, this would already be set based on the matching recipient address of the original email.

Just a suggestion (unfortunately I don't have  the c++-fu to do it myself).
Comment 3 Dotan Cohen 2008-03-13 17:37:49 UTC
Despite Ingo's comment from 2004, today the "individual address for each contact" solution is quite popular. I have been using this method for about two years, and many people that I know use it as well. This technique is made much easier by an email client automatically using the To address of an email as the From address of the reply. The Thunderbird extension Virtual Identity (https://www.absorb.it/virtual-id) enables this, and has me married to that client now. Virtual Identity has another feature that helps users of this technique, which I outline in this bug #159251.
Comment 4 Thomas McGuire 2008-03-13 18:45:05 UTC
I made the title a bit more general.
When someone implements this, the From address should be constructed with patterns by using the To address, both with replies and with new mails.
Comment 5 Thomas McGuire 2008-03-13 18:46:12 UTC
*** Bug 159251 has been marked as a duplicate of this bug. ***
Comment 6 Dotan Cohen 2009-02-17 12:23:53 UTC
Although this is the older bug, I am marking it as a dupe of the newer bug because the newer bug seems to be better established.

*** This bug has been marked as a duplicate of bug 104071 ***
Comment 7 Dotan Cohen 2009-02-19 20:09:12 UTC
At the dev's request, I am removing the association with bug #104071.

As to the question of which SMTP setting, etc, to use when the From address does not match an account, Kmail should use the Default SMTP settings. This is how Thunderbird does it, and it is intuitive and logical behaviour.
Comment 8 Dotan Cohen 2009-02-20 17:21:33 UTC
Cleaning up titles to address the issue of confusion between this bug and bug #104071.
Comment 9 Shlomi Fish 2009-04-27 18:01:06 UTC
(In reply to comment #3)
> Despite Ingo's comment from 2004, today the "individual address for each
> contact" solution is quite popular. I have been using this method for about two
> years, and many people that I know use it as well. This technique is made much
> easier by an email client automatically using the To address of an email as the
> From address of the reply. The Thunderbird extension Virtual Identity
> (https://www.absorb.it/virtual-id) enables this, and has me married to that
> client now. Virtual Identity has another feature that helps users of this
> technique, which I outline in this bug #159251.

Hi all!

Dotan (Cohen) here referred me to this bug, and I have a few questions:

1. {SMTP Server Filter} - wouldn't it be easier to implement this as an SMTP server (Postfix, etc.) filter, and then configure kmail to send it via the local SMTP server, which will do the hard work in respect to this bug for KMail? Such filters can be written in Perl/Python/Ruby/etc. which will make the job even easier.

2. {Conflict} - what happens if you send an email to more than one mailing list, where you have a different address used for each? How will the conflict be resolved?

Regards,

      Shlomi Fish
Comment 10 Dotan Cohen 2009-04-27 22:05:40 UTC
Hello, Shlomi! It looks like your questions are pertaining to bug #159251. This bug (72926) only requires Kmail to parse the "To" address of mail being replied to so that the Composer window can use that address as the "From" address or the reply.
Comment 11 Björn Ruberg 2010-01-06 00:57:57 UTC
*** Bug 144171 has been marked as a duplicate of this bug. ***
Comment 12 Richard Hartmann 2010-05-06 21:33:38 UTC
In reply to comment 7:

If I have two SMTP accounts, one for foo@bar.org and one for baz@quux.org and I receive email at quuux@quux.org, it should default to sending with the SMTP account for baz@quux.org even though foo@bar.org may be my global default.
Comment 13 Myriam Schweingruber 2012-08-18 08:35:30 UTC
Thank you for your feature request. Kmail1 is currently unmaintained so we are closing all wishes. Please feel free to reopen a feature request for Kmail2 if it has not already been implemented.
Thank you for your understanding.
Comment 14 Luigi Toscano 2012-08-19 00:57:11 UTC
Instead of creating a new feature request, please confirm here if the wishlist is still valid for kmail2.
Comment 15 Dotan Cohen 2012-08-19 15:33:46 UTC
This feature request is still valid for Kmail 2.